Description

New Labeling, section advanced, Placement: "over point" let appear the label midth of the point.

Set y, y and rotation in the advanced section the over point function ist dissabled and the label begins right of the point.

The rotation over point  point should be enabled.

Generaly, the rotation field in point layers should be available without the presence or setting of an x and y field in the "datadefined

section".

When no field is present or the x and y field is empty, then the coordinate from point geometrie is the right value, in the other cases, the x

and y  values from the attribute fields. 

This functionality was possible in the old labeling engine.

Associated revisions

Revision 61a50225 - 2012-09-03 06:13 AM - Larry Shaffer

Add quadrant, offset, rotation for points/centroids in adv labeling

- Possible fix for #4634, #5256, #6162

- Uses GEOS to convert centroids to points before PAL solution

- Implements #3492, #6285

- Convert PAL layer types 'over point/centroid' to 'offset from point/centroid'

- Add quadrant offsets (above/below/right, etc. like in old labeling)

- Add x and y offset, in mm or map unit, in addition to quadrant

- Default for offset is set to map units (mm scales oddly with zoom)

- Implements #4517, #6118; updates fix for #4317

- Rotation is independent of data defined columns

- Rotation bounding box included in offset calculation

- GUI spin box range set from -360 to +360 for initial dev testing

- Keep from scaling letter/word spacing if set to 0

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-09-04 12:32 PM - Larry Shaffer
Should be implemented with commit commit:61a50225

Please test.

#3 - 2012-09-04 03:08 PM - Gerhard Spieles

- File test1_label_offsetfrompoint.jpg added

- File test2_label_offsetfrompoint_with_rotationfield.jpg added

Hello,

have tested it with revision 9e9d1ce.

Offset from point functions. It is only possible to rotate all labels with the same rotation-angle. (see attached file "test1_label_offsetfrompoint.jpg"

When you want to get data-field defined rotation, you have to do this in the 'data defined settings' in the group 'position'. The field 'Rotation' is only

available, when 'X' and 'Y' are as field defined (otherwise 'Rotation' ist grayed).

Setting X, Y and Rotation fields, dissables the 'Offset from point function'(see attached file "test2_label_offsetfrompoint_with_rotationfield.jpg"

It should be good to add a data defined 'Rotation' field in the 'Offset from point' group.

#4 - 2012-09-07 04:29 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2012-09-07 08:00 AM - Larry Shaffer

gespiel wrote (in separate posts):

It should be good to add a data defined 'Rotation' field in the 'Offset from point' group.

My apologies; commit commit:61a50225 only implements the rotation for the whole PAL (new labeling engine) layer, data defined rotation currently

remains the same as with v. 1.8. I see now you were requesting two features.

I will be adding the ability to set the rotation independent of x/y for data defined layers as well, but that support will probably only extend to point features

that have known or calculated locations prior to the PAL solution (e.g. Offset from point/centroid, as is the case here).

Offset from point functions. It is only possible to rotate all labels with the same rotation-angle.

All labels rotated the same is the intended behavior for the whole PAL layer with current 'Offset from point' functionality.

New Labeling, section advanced, Placement: "over point" let appear the label midth of the point.

Set y, y and rotation in the advanced section the over point function ist dissabled and the label >begins right of the point.

This is correct current behavior. The data defining of x/y (regardless of rotation) will currently override 'Offset from point' settings. Using 'Offset from point'

for position, but overriding the rotation value with a data defined rotation field is not yet supported.

To get the label to be centered over the point when x/y are data defined, also map horizontal and vertical alignment fields in the data defined position

section to your data source. Populate those mapped fields in your data source with Center for horizontal and Half for vertical.
See this description for v. 1.8: http://gis.stackexchange.com/questions/31478

This issue should remain open until data defined rotation, independent from data defined x/y, can also be used in conjunction with some PAL layer-level

settings.

#6 - 2012-09-16 02:50 AM - Giovanni Manghi

- Assignee set to Larry Shaffer

- Operating System deleted (all)

This issue should remain open until data defined rotation, independent from data defined x/y, can also be used in conjunction with some PAL

layer-level settings.

This has been added commit:8a347ebaf7a960e4e4caf549b650865f4a3148ea

can this ticket be closed?

#7 - 2012-09-16 12:41 PM - Larry Shaffer

- Status changed from Feedback to Closed

- Resolution set to fixed

Between the above noted commit and commit commit:d83b618 this should now work as expected. New issues with existing functionality in master branch

should probably be on a new ticket.

#8 - 2012-09-17 08:39 AM - Gerhard Spieles

Hello,

perfect!

Thank you verry much.

Gerhard

Files

test1_label_offsetfrompoint.jpg 235 KB 2012-09-04 Gerhard Spieles

test2_label_offsetfrompoint_with_rotationfield.jpg 231 KB 2012-09-04 Gerhard Spieles
